View Issue Details

IDProjectCategoryView StatusLast Update
0002235Far ManagerMacropublic2013-01-26 13:16
ReporterJohnDoeAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002235: Вызов функций LuaMacro приводит к перерисовке панели, несмотря на флаг запрета вывода на экран
DescriptionВызов mf.waitkey приводит к перерисовке панели, независимо от режима DisableOutput
(Другие функции LuaMacro не проверял)
Steps To Reproducelm:post Keys"CtrlO" win.Sleep(500) Keys"CtrlO"
При запуске мы не увидим моргания панелей, и это ожидаемо.

Но стоит добавить mf.waitkey, и моргание появляется:
lm:post Keys"CtrlO" mf.waitkey(1) win.Sleep(500) Keys"CtrlO"
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=101576#p101576
"Причина известна, заключается в том, что на время вызова плагина LuaMacro Фар разрешает вывод на экран, для того, чтобы, в случае вызова far.Message, far.Menu, диалогов, они появились на экране. Как лечить - примерно ясно"
TagsNo tags attached.
Build3050

Relationships

parent of 0002163 closedshmuel LUA: не работает флаг DisableOutput 

Activities

shmuel

2012-12-25 14:15

developer   bugnote:0009898

Поправлены опечатки в Summary.

shmuel

2012-12-25 14:43

developer   bugnote:0009899

В билде 3050 произведено специфическое лечение mf.waitkey.
Ищите другие функции.

JohnDoe

2012-12-26 14:38

updater   bugnote:0009904

Подтверждаю исправление mf.waitkey.
Другие функции проверю со временем.

Какова вообще вероятность что с другими та же проблема?
Если небольшая, то можно закрывать (переоткрыть всегда можно)

shmuel

2012-12-26 14:44

developer   bugnote:0009905

> Какова вообще вероятность что с другими та же проблема?

Есть вероятность, что обнаружатся ещё одна-две подобных функции. Это - те функции, при исполнении которых Фар перерисовывает экран (не очень понятно, зачем он это делает при исполнении waitkey).

Ставлю на фидбек, решайте сами, что делать дальше.

Issue History

Date Modified Username Field Change
2012-12-25 14:11 JohnDoe New Issue
2012-12-25 14:15 shmuel Note Added: 0009898
2012-12-25 14:15 shmuel Summary Вызов функций LuaMacro приводит к перерисовке панели, несмотря на фллаг запрет вывода на экран => Вызов функций LuaMacro приводит к перерисовке панели, несмотря на флаг запрета вывода на экран
2012-12-25 14:43 shmuel Note Added: 0009899
2012-12-25 15:28 vskirdin Relationship added parent of 0002163
2012-12-25 16:33 shmuel Assigned To => shmuel
2012-12-25 16:33 shmuel Status new => assigned
2012-12-26 14:29 shmuel Status assigned => feedback
2012-12-26 14:38 JohnDoe Note Added: 0009904
2012-12-26 14:38 JohnDoe Status feedback => assigned
2012-12-26 14:44 shmuel Note Added: 0009905
2012-12-26 14:44 shmuel Status assigned => feedback
2013-01-26 13:16 shmuel Build => 3050
2013-01-26 13:16 shmuel Status feedback => closed
2013-01-26 13:16 shmuel Resolution open => fixed
2013-01-26 13:16 shmuel Fixed in Version => 3.0